@import '_content/Blazor.Bootstrap/Blazor.Bootstrap.olwso25aue.bundle.scp.css';
@import '_content/Microsoft.AspNetCore.Components.QuickGrid/Microsoft.AspNetCore.Components.QuickGrid.boiwgh0w5b.bundle.scp.css';

/* /Components/Layouts/MainLayout.razor.rz.scp.css */
.page[b-7f3repjsq5] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-7f3repjsq5] {
    flex: 1;
}

.title[b-7f3repjsq5] {
    font-weight: bold;
}
.actions[b-7f3repjsq5] {
    margin-left: 1.5rem;
    white-space: nowrap;
}

.top-row[b-7f3repjsq5] {
    justify-content: flex-start;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row a:first-child[b-7f3repjsq5] {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row:not(.auth)[b-7f3repjsq5] {
        display: none;
    }

    .top-row.auth[b-7f3repjsq5] {
        justify-content: space-between;
    }

    .top-row a[b-7f3repjsq5], .top-row .btn-link[b-7f3repjsq5] {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-7f3repjsq5] {
        flex-direction: row;
    }

    .sidebar[b-7f3repjsq5] {
        width: 270px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-7f3repjsq5] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row[b-7f3repjsq5], article[b-7f3repjsq5] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
/* /Components/Layouts/ReconnectModal.razor.rz.scp.css */
.components-reconnect-first-attempt-visible[b-w5kkv5mgz4],
.components-reconnect-repeated-attempt-visible[b-w5kkv5mgz4],
.components-reconnect-failed-visible[b-w5kkv5mgz4],
.components-pause-visible[b-w5kkv5mgz4],
.components-resume-failed-visible[b-w5kkv5mgz4],
.components-rejoining-animation[b-w5kkv5mgz4] {
    display: none;
}

#components-reconnect-modal.components-reconnect-show .components-reconnect-first-attempt-visible[b-w5kkv5mgz4],
#components-reconnect-modal.components-reconnect-show .components-rejoining-animation[b-w5kkv5mgz4],
#components-reconnect-modal.components-reconnect-paused .components-pause-visible[b-w5kkv5mgz4],
#components-reconnect-modal.components-reconnect-resume-failed .components-resume-failed-visible[b-w5kkv5mgz4],
#components-reconnect-modal.components-reconnect-retrying[b-w5kkv5mgz4],
#components-reconnect-modal.components-reconnect-retrying .components-reconnect-repeated-attempt-visible[b-w5kkv5mgz4],
#components-reconnect-modal.components-reconnect-retrying .components-rejoining-animation[b-w5kkv5mgz4],
#components-reconnect-modal.components-reconnect-failed[b-w5kkv5mgz4],
#components-reconnect-modal.components-reconnect-failed .components-reconnect-failed-visible[b-w5kkv5mgz4] {
    display: block;
}


#components-reconnect-modal[b-w5kkv5mgz4] {
    background-color: white;
    width: 20rem;
    margin: 20vh auto;
    padding: 2rem;
    border: 0;
    border-radius: 0.5rem;
    box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: display 0.5s allow-discrete, overlay 0.5s allow-discrete;
    animation: components-reconnect-modal-fadeOutOpacity-b-w5kkv5mgz4 0.5s both;
    &[open]

    {
        animation: components-reconnect-modal-slideUp-b-w5kkv5mgz4 1.5s cubic-bezier(.05, .89, .25, 1.02) 0.3s, components-reconnect-modal-fadeInOpacity-b-w5kkv5mgz4 0.5s ease-in-out 0.3s;
        animation-fill-mode: both;
    }

}

#components-reconnect-modal[b-w5kkv5mgz4]::backdrop {
    background-color: rgba(0, 0, 0, 0.4);
    animation: components-reconnect-modal-fadeInOpacity-b-w5kkv5mgz4 0.5s ease-in-out;
    opacity: 1;
}

@keyframes components-reconnect-modal-slideUp-b-w5kkv5mgz4 {
    0% {
        transform: translateY(30px) scale(0.95);
    }

    100% {
        transform: translateY(0);
    }
}

@keyframes components-reconnect-modal-fadeInOpacity-b-w5kkv5mgz4 {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes components-reconnect-modal-fadeOutOpacity-b-w5kkv5mgz4 {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.components-reconnect-container[b-w5kkv5mgz4] {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

#components-reconnect-modal p[b-w5kkv5mgz4] {
    margin: 0;
    text-align: center;
}

#components-reconnect-modal button[b-w5kkv5mgz4] {
    border: 0;
    background-color: #6b9ed2;
    color: white;
    padding: 4px 24px;
    border-radius: 4px;
}

#components-reconnect-modal button:hover[b-w5kkv5mgz4] {
    background-color: #3b6ea2;
}

#components-reconnect-modal button:active[b-w5kkv5mgz4] {
    background-color: #6b9ed2;
}

.components-rejoining-animation[b-w5kkv5mgz4] {
    position: relative;
    width: 80px;
    height: 80px;
}

.components-rejoining-animation div[b-w5kkv5mgz4] {
    position: absolute;
    border: 3px solid #0087ff;
    opacity: 1;
    border-radius: 50%;
    animation: components-rejoining-animation-b-w5kkv5mgz4 1.5s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}

.components-rejoining-animation div:nth-child(2)[b-w5kkv5mgz4] {
    animation-delay: -0.5s;
}

@keyframes components-rejoining-animation-b-w5kkv5mgz4 {
    0% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    4.9% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    5% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 1;
    }

    100% {
        top: 0px;
        left: 0px;
        width: 80px;
        height: 80px;
        opacity: 0;
    }
}
/* /Components/Pages/Customer/Controls/CustomerForm.razor.rz.scp.css */
[b-e5re6s769c] #customerPhoneNrPrefix {
    flex-grow: 0;
    width: 4em;
}
/* /Components/Pages/Customer/List.razor.rz.scp.css */
[b-xwx8unljn6] .column-notification-email, [b-xwx8unljn6] .column-notification-sms {
    width: 50px;
}
/* /Components/Pages/Ordering/Controls/FormBill.razor.rz.scp.css */
.bill-table td[b-vzynl9udpb] {
    padding: 5px;
}
/* /Components/Pages/Ordering/Controls/FormOrder.razor.rz.scp.css */
[b-mleo7sqeym] #customerPhoneNrPrefix {
    flex-grow: 0;
    width: 4em;
}

[b-mleo7sqeym] #customerPostalCode {
    width: 6em;
}
/* /Components/Pages/Ordering/Controls/FormService.razor.rz.scp.css */
.service-card[b-l2zufpnebg] {
    height: 100%;
}
.service-card .card-header[b-l2zufpnebg] {
    font-size: 1.2rem;
}

.service-table[b-l2zufpnebg] {
    margin: 10px;
}
[b-l2zufpnebg] .form-check-input {
    width: 20px;
    height: 20px;
}
[b-l2zufpnebg] .form-check-label {
    padding-left: 10px;
    padding-top: 4px;
}
/* /Components/Pages/Ordering/Controls/OrderList.razor.rz.scp.css */
.badge[b-al06v8qs5n] {
    margin: 3px 5px 0 3px;
    padding: 8px 12px;
}

.details-table td[b-al06v8qs5n], .details-table th[b-al06v8qs5n] {
    background: none !important;
    border-bottom: 1px solid #ccc;
}
/* /Components/Pages/Ordering/Create.razor.rz.scp.css */
.order-btn-group[b-2oq378wwo4] {
    margin: 20px 0 20px 0;
}
/* /Components/Pages/Ordering/Edit.razor.rz.scp.css */
.order-btn-group[b-dpnwjio11s] {
    margin: 20px 0 20px 0;
}
/* /Components/Shared/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-avcixyfpfd] {
    background-color: rgba(255, 255, 255, 0.1);
}

.top-row[b-avcixyfpfd] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-avcixyfpfd] {
    font-size: 1.1rem;
}

.nav-item[b-avcixyfpfd]  .nav-link {
    color: white;
}
.nav-item[b-avcixyfpfd]  .nav-link.disabled {
    color: var(--bs-nav-link-disabled-color);
}

@media (min-width: 641px) {
    .navbar-toggler[b-avcixyfpfd] {
        display: none;
    }

    .collapse[b-avcixyfpfd] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
}
